Skip to main content
POST
/
team
/
statistics
/
mttd-over-time
Mean time to detect over time
curl --request POST \
  --url https://api.wirespeed.co/team/statistics/mttd-over-time \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "granularity": "day",
  "startDate": "<string>",
  "endDate": "<string>"
}
'
{
  "data": [
    {
      "bucket": "<string>",
      "avgSeconds": 123,
      "count": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
granularity
enum<string>
required

Time bucket granularity

Available options:
day,
week,
month
startDate
string

ISO start date

endDate
string

ISO end date

Response

data
object[]
required